=== debian/changelog ===
falkon (3.0.0-3) unstable; urgency=medium

  * added a notification in NEW.Debian to tell the user with root
    privilege who installs Falkon how to restore qupzilla bookmarks
    for himself or for other users, if any. Closes: #894709

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 03 Apr 2018 17:17:05 +0200

falkon (3.0.0-2) unstable; urgency=medium

  * added copyright entries for files under src/plugins. Closes: #894636

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 02 Apr 2018 23:16:01 +0200

falkon (3.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #894393)
  * Replaced QupZilla. Closes: #867947; Closes: #873283
  * inherited and adapted debian files from the package available in
    Ubuntu. Declared myself as maintainer.
  * added a build-dependency on cdbs
  * modified debian/rules as I am no KDE developer
  * added Priority: optional to transitional packages
  * declared VCS stuff in debian/control. Closes: #880536

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 24 Mar 2018 16:41:24 +0100
 

qupzilla (2.2.5~dfsg1-2) unstable; urgency=medium

  * removed the build-dependency on libgnome-keyring-dev. Closes: #867947
    .
    As currently the document available at
    https://wiki.gnome.org/Initiatives/GnomeGoals/LibsecretMigration
    provides only ponctual matches between libsecret and libgnome-keyring
    primitives, but not general map neither detailed example of a
    migration, I also completely removed the Gnome Keyring integration
    from the built plugins. Let us hope that some day upstream developers
    will make this migration.

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 09 Mar 2018 17:33:21 +0100

qupzilla (2.2.5~dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Checked that thumbnails appear in a new tab. Closes: #888277
  * The web page http://korpusy.klf.uw.edu.pl/en/ exists no longer
    (error 404); now Qupzilla does not support displaying djvu images;
    instead, it proposes to open the file with an external viewer or
    to save it. Additionnally, the file 
    http://korpusy.klf.uw.edu.pl/extra/linde/index.djvu could not be
    viewed with any of the viewers known to support djvu file format.
    Closes: #857331
  * Events coming from a trackpad are not directly managed by qupzilla
    but rather by other daemons. If this bug report can be reopened by
    showing some evidence that those events are specifically mismanaged
    by qupzilla, and no other desktop application, you are welcome.
    Closes: #834475
  * currently there is no mention of deprecation in the debian bugs
    page about libgnome-keyring; so far, the announced page
    https://wiki.gnome.org/GnomeGoals/LibsecretMigration which is supposed
    to disclose how to migrate from libgnome-keyring to libsecret is
    not yet created. The previous message which I sent as a reply to bug
    report 867947, four months ago is unresponded. So, it Closes: #867947.
    Please feel free to reopen this bug report as soon as plans to
    migrate from libgnome-keyring to libsecret are published, and please
    be kind enough to send a link to those methods.

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 03 Feb 2018 09:14:46 +0100

qupzilla (2.2.3~dfsg1-2) unstable; urgency=medium

  * downgraded Recommends to Suggests: qupzilla-plugin-gnome-keyring,
    qupzilla-plugin-kwallet
  * applied Helmut Grohne's patch. Closes: #886778

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 13 Jan 2018 15:46:42 +0100

qupzilla (2.2.3~dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Rephrased the description for the package qupzilla-plugin-gnome-keyring
    Closes: #886266
  * patched the file linux/appdata/org.qupzilla.QupZilla.appdata.xml,
    which fixes the lintian error: "appstream-metadata-legacy-format"
  * changed the obsolete prioty extra to optional
  * upgraded S-V to 4.1.3

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 08 Jan 2018 11:46:02 +0100

qupzilla (2.2.2~dfsg1-2) unstable; urgency=medium

  * added a Breaks+Replace clause. Closes: #884645
  * tried on "some websites", ... when pressing the "Back"- button,
    qupzilla crashes no longer. So ... this Closes: #870059. If someone
    wants to reopen this bug report, please make a precise list of
    "some websites" which trigger this bug, in order to let the maintainer
    reproduce it.
  * this version of qupzilla does not crash on startup. This
    Closes: #863458.
  * added a "Provides: falkon" clause in debian/control, which
    Closes: #873283
  * the new version can access and save the file
    https://www.debian.org/logos/openlogo-75.png in the file system,
    which Closes: #834996

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 18 Dec 2017 15:52:27 +0100

qupzilla (2.2.2~dfsg1-1) unstable; urgency=medium

  * New upstream release

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 17 Dec 2017 19:32:01 +0100

qupzilla (2.2.0~dfsg1-3) unstable; urgency=medium

  * removed the Conflicts: clauses on a nonexistent Qupzilla version.
  * added a package qupzilla-plugin-kwallet which provides separately
    the plugin for KWallet. Closes: #880535, and once again,
    Closes: #845346.
  * added a package qupzilla-plugin-gnome-keyring to provide a similar
    separate feature for Gnome Keyring
  * added Recommends: stances from libqupzilla1 to the newly separated
    packages.

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 03 Nov 2017 11:59:59 +0100

qupzilla (2.2.0~dfsg1-2) unstable; urgency=medium

  * enforced kde integration, as hinted again by Brendon Higgins, which
    definitely Closes: #845346
  * upgraded dh version to 10, which provides parallel build by default

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 01 Nov 2017 11:16:35 +0100

qupzilla (2.2.0~dfsg1-1) unstable; urgency=medium

  * New upstream release
  * changed the build dependency libssl1.0-dev => libssl-dev.
    Closes: #859674
  * applied Brendon Higgins' patch. Closes: #845346

