=== debian/control ===
Source: falkon
Section: web
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper (>= 10), cdbs,
 cmake (>= 3.1),
 extra-cmake-modules (>= 5.27.0),
 libjs-jquery,
 libjs-jquery-ui,
 libkf5wallet-dev,
 libqt5x11extras5-dev,
 libssl-dev,
 libx11-dev,
 libxcb-util0-dev,
 pkg-config,
 pkg-kde-tools,
 qt5-qmake,
 qtbase5-dev,
 qtbase5-private-dev,
 qtchooser,
 qtscript5-dev,
 qttools5-dev,
 qttools5-dev-tools,
 qtwebengine5-dev
Standards-Version: 4.1.3
Homepage: https://userbase.kde.org/Falkon
Vcs-Browser: https://salsa.debian.org/georgesk/falkon.git
Vcs-Git: https://salsa.debian.org/georgesk/falkon.git

Package: falkon
Architecture: amd64 arm64 armhf i386 mipsel
Depends: libqt5sql5-sqlite, ${misc:Depends}, ${shlibs:Depends}
Conflicts: qupzilla (<< 3.0.0~)
Replaces: qupzilla (<< 3.0.0~)
Provides: www-browser
Description: lightweight web browser based on Qt WebEngine
 Falkon is a new and very fast Qt Webengine browser. It aims to be a
 lightweight web browser available through all major platforms.
 .
 Falkon has all standard functions you expect from a web browser. It
 includes bookmarks, history (both also in sidebar) and tabs. Above
 that, you can manage RSS feeds with an included RSS reader, block ads
 with a builtin AdBlock plugin, block Flash content with Click2Flash
 and edit the local CA Certificates database with an SSL Manager.

Package: qupzilla
Depends: falkon, ${misc:Depends}
Architecture: amd64 arm64 armhf i386 mipsel
Section: oldlibs
Priority: optional
Description: transitional package for qupzilla
 This is a transitional package. It can safely be removed.

Package: qupzilla-plugin-kwallet
Depends: falkon, ${misc:Depends}
Architecture: amd64 arm64 armhf i386 mipsel
Section: oldlibs
Priority: optional
Description: transitional package for qupzilla-plugin-kwallet
 This is a transitional package. It can safely be removed.

Package: libqupzilla-dev
Depends: falkon, ${misc:Depends}
Architecture: amd64 arm64 armhf i386 mipsel
Section: oldlibs
Priority: optional
Description: transitional package for libqupzilla-dev
 This is a transitional package. It can safely be removed.

Package: libqupzilla1
Depends: falkon, ${misc:Depends}
Architecture: amd64 arm64 armhf i386 mipsel
Section: oldlibs
Priority: optional
Description: transitional package for libqupzilla1
 This is a transitional package. It can safely be removed.
