=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/@PACKAGE@/([\d.]+)/src/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
