=== debian/changelog ===
falkon (3.0.0.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 27 Jan 2021 17:15:01 +0800
