=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/makefiles/1/cdbs/kde.mk
include /usr/share/cdbs/1/rules/debhelper.mk

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:
